NtpV3Packet
Date: 2016-06-23

org.apache.commons.net.ntp

## Interface NtpV3Packet

- All Known Implementing Classes:
    NtpV3Impl

      public interface NtpV3Packet

  Interface for a NtpV3Packet with get/set methods corresponding to the fields in the NTP Data Message Header described in RFC 1305.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LI_ALARM_CONDITION`
    `static int` | `LI_LAST_MINUTE_HAS_59_SECONDS`
    `static int` | `LI_LAST_MINUTE_HAS_61_SECONDS`
    `static int` | `LI_NO_WARNING`
    `static int` | `MODE_BROADCAST`
    `static int` | `MODE_CLIENT`
    `static int` | `MODE_CONTROL_MESSAGE`
    `static int` | `MODE_PRIVATE`
    `static int` | `MODE_RESERVED`
    `static int` | `MODE_SERVER`
    `static int` | `MODE_SYMMETRIC_ACTIVE`
    `static int` | `MODE_SYMMETRIC_PASSIVE`
    `static int` | `NTP_MAXCLOCK`
    `static int` | `NTP_MAXPOLL`
    `static int` | `NTP_MINCLOCK`
    `static int` | `NTP_MINPOLL`
    `static int` | `NTP_PORT` Standard NTP UDP port
    `static java.lang.String` | `TYPE_DAYTIME`
    `static java.lang.String` | `TYPE_ICMP`
    `static java.lang.String` | `TYPE_NTP`
    `static java.lang.String` | `TYPE_TIME`
    `static int` | `VERSION_3`
    `static int` | `VERSION_4`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.DatagramPacket` | `getDatagramPacket()`
    `int` | `getLeapIndicator()`
    `int` | `getMode()`
    `java.lang.String` | `getModeName()`
    `TimeStamp` | `getOriginateTimeStamp()`
    `int` | `getPoll()`
    `int` | `getPrecision()`
    `TimeStamp` | `getReceiveTimeStamp()`
    `int` | `getReferenceId()`
    `java.lang.String` | `getReferenceIdString()`
    `TimeStamp` | `getReferenceTimeStamp()`
    `int` | `getRootDelay()`
    `double` | `getRootDelayInMillisDouble()`
    `int` | `getRootDispersion()`
    `long` | `getRootDispersionInMillis()`
    `double` | `getRootDispersionInMillisDouble()`
    `int` | `getStratum()`
    `TimeStamp` | `getTransmitTimeStamp()`
    `java.lang.String` | `getType()` Return type of time packet.
    `int` | `getVersion()`
    `void` | `setDatagramPacket(java.net.DatagramPacket dp)` Set the contents of this object from the datagram packet
    `void` | `setLeapIndicator(int li)` Set leap indicator.
    `void` | `setMode(int mode)` Set mode as defined in RFC-1305
    `void` | `setOriginateTimeStamp(TimeStamp ts)` Set originate timestamp given NTP TimeStamp object.
    `void` | `setPoll(int poll)` Set poll interval as defined in RFC-1305.
    `void` | `setPrecision(int precision)` Set precision as defined in RFC-1305
    `void` | `setReceiveTimeStamp(TimeStamp ts)` Set receive timestamp given NTP TimeStamp object.
    `void` | `setReferenceId(int refId)` Set reference clock identifier field.
    `void` | `setReferenceTime(TimeStamp ts)` Set the reference timestamp given NTP TimeStamp object.
    `void` | `setRootDelay(int delay)` Set root delay as defined in RFC-1305
    `void` | `setRootDispersion(int dispersion)`
    `void` | `setStratum(int stratum)` Set stratum as defined in RFC-1305
    `void` | `setTransmitTime(TimeStamp ts)` Set the transmit timestamp given NTP TimeStamp object.
    `void` | `setVersion(int version)` Set version as defined in RFC-1305

- - ### Field Detail

    - #### NTP_PORT

          static final int NTP_PORT

      Standard NTP UDP port
      See Also:
        Constant Field Values

    - #### LI_NO_WARNING

          static final int LI_NO_WARNING

      See Also:
        Constant Field Values

    - #### LI_LAST_MINUTE_HAS_61_SECONDS

          static final int LI_LAST_MINUTE_HAS_61_SECONDS

      See Also:
        Constant Field Values

    - #### LI_LAST_MINUTE_HAS_59_SECONDS

          static final int LI_LAST_MINUTE_HAS_59_SECONDS

      See Also:
        Constant Field Values

    - #### LI_ALARM_CONDITION

          static final int LI_ALARM_CONDITION

      See Also:
        Constant Field Values

    - #### MODE_RESERVED

          static final int MODE_RESERVED

      See Also:
        Constant Field Values

    - #### MODE_SYMMETRIC_ACTIVE

          static final int MODE_SYMMETRIC_ACTIVE

      See Also:
        Constant Field Values

    - #### MODE_SYMMETRIC_PASSIVE

          static final int MODE_SYMMETRIC_PASSIVE

      See Also:
        Constant Field Values

    - #### MODE_CLIENT

          static final int MODE_CLIENT

      See Also:
        Constant Field Values

    - #### MODE_SERVER

          static final int MODE_SERVER

      See Also:
        Constant Field Values

    - #### MODE_BROADCAST

          static final int MODE_BROADCAST

      See Also:
        Constant Field Values

    - #### MODE_CONTROL_MESSAGE

          static final int MODE_CONTROL_MESSAGE

      See Also:
        Constant Field Values

    - #### MODE_PRIVATE

          static final int MODE_PRIVATE

      See Also:
        Constant Field Values

    - #### NTP_MINPOLL

          static final int NTP_MINPOLL

      See Also:
        Constant Field Values

    - #### NTP_MAXPOLL

          static final int NTP_MAXPOLL

      See Also:
        Constant Field Values

    - #### NTP_MINCLOCK

          static final int NTP_MINCLOCK

      See Also:
        Constant Field Values

    - #### NTP_MAXCLOCK

          static final int NTP_MAXCLOCK

      See Also:
        Constant Field Values

    - #### VERSION_3

          static final int VERSION_3

      See Also:
        Constant Field Values

    - #### VERSION_4

          static final int VERSION_4

      See Also:
        Constant Field Values

    - #### TYPE_NTP

          static final java.lang.String TYPE_NTP

      See Also:
        Constant Field Values

    - #### TYPE_ICMP

          static final java.lang.String TYPE_ICMP

      See Also:
        Constant Field Values

    - #### TYPE_TIME

          static final java.lang.String TYPE_TIME

      See Also:
        Constant Field Values

    - #### TYPE_DAYTIME

          static final java.lang.String TYPE_DAYTIME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDatagramPacket

          java.net.DatagramPacket getDatagramPacket()

      Returns:
        a datagram packet with the NTP parts already filled in

    - #### setDatagramPacket

          void setDatagramPacket(java.net.DatagramPacket dp)

      Set the contents of this object from the datagram packet
      Parameters:
        `dp` - the packet

    - #### getLeapIndicator

          int getLeapIndicator()

      Returns:
        leap indicator as defined in RFC-1305

    - #### setLeapIndicator

          void setLeapIndicator(int li)

      Set leap indicator.
      Parameters:
        `li` - - leap indicator code

    - #### getMode

          int getMode()

      Returns:
        mode as defined in RFC-1305

    - #### getModeName

          java.lang.String getModeName()

      Returns:
        mode as human readable string; e.g. 3=Client

    - #### setMode

          void setMode(int mode)

      Set mode as defined in RFC-1305
      Parameters:
        `mode` - the mode to set

    - #### getPoll

          int getPoll()

      Returns:
        poll interval as defined in RFC-1305. Field range between NTP_MINPOLL and NTP_MAXPOLL.

    - #### setPoll

          void setPoll(int poll)

      Set poll interval as defined in RFC-1305. Field range between NTP_MINPOLL and NTP_MAXPOLL.
      Parameters:
        `poll` - the interval to set

    - #### getPrecision

          int getPrecision()

      Returns:
        precision as defined in RFC-1305

    - #### setPrecision

          void setPrecision(int precision)

      Set precision as defined in RFC-1305
      Parameters:
        `precision` - Precision
      Since:
        3.4

    - #### getRootDelay

          int getRootDelay()

      Returns:
        root delay as defined in RFC-1305

    - #### setRootDelay

          void setRootDelay(int delay)

      Set root delay as defined in RFC-1305
      Parameters:
        `delay` - the delay to set
      Since:
        3.4

    - #### getRootDelayInMillisDouble

          double getRootDelayInMillisDouble()

      Returns:
        root delay in milliseconds

    - #### getRootDispersion

          int getRootDispersion()

      Returns:
        root dispersion as defined in RFC-1305

    - #### setRootDispersion

          void setRootDispersion(int dispersion)

      Parameters:
        `dispersion` - the value to set
      Since:
        3.4

    - #### getRootDispersionInMillis

          long getRootDispersionInMillis()

      Returns:
        root dispersion in milliseconds

    - #### getRootDispersionInMillisDouble

          double getRootDispersionInMillisDouble()

      Returns:
        root dispersion in milliseconds

    - #### getVersion

          int getVersion()

      Returns:
        version as defined in RFC-1305

    - #### setVersion

          void setVersion(int version)

      Set version as defined in RFC-1305
      Parameters:
        `version` - the version to set

    - #### getStratum

          int getStratum()

      Returns:
        stratum as defined in RFC-1305

    - #### setStratum

          void setStratum(int stratum)

      Set stratum as defined in RFC-1305
      Parameters:
        `stratum` - the stratum to set

    - #### getReferenceIdString

          java.lang.String getReferenceIdString()

      Returns:
        the reference id string

    - #### getReferenceId

          int getReferenceId()

      Returns:
        the reference id (32-bit code) as defined in RFC-1305

    - #### setReferenceId

          void setReferenceId(int refId)

      Set reference clock identifier field.
      Parameters:
        `refId` - the clock id field to set

    - #### getTransmitTimeStamp

          TimeStamp getTransmitTimeStamp()

      Returns:
        the transmit timestamp as defined in RFC-1305

    - #### getReferenceTimeStamp

          TimeStamp getReferenceTimeStamp()

      Returns:
        the reference time as defined in RFC-1305

    - #### getOriginateTimeStamp

          TimeStamp getOriginateTimeStamp()

      Returns:
        the originate time as defined in RFC-1305

    - #### getReceiveTimeStamp

          TimeStamp getReceiveTimeStamp()

      Returns:
        the receive time as defined in RFC-1305

    - #### setTransmitTime

          void setTransmitTime(TimeStamp ts)

      Set the transmit timestamp given NTP TimeStamp object.
      Parameters:
        `ts` - - timestamp

    - #### setReferenceTime

          void setReferenceTime(TimeStamp ts)

      Set the reference timestamp given NTP TimeStamp object.
      Parameters:
        `ts` - - timestamp

    - #### setOriginateTimeStamp

          void setOriginateTimeStamp(TimeStamp ts)

      Set originate timestamp given NTP TimeStamp object.
      Parameters:
        `ts` - - timestamp

    - #### setReceiveTimeStamp

          void setReceiveTimeStamp(TimeStamp ts)

      Set receive timestamp given NTP TimeStamp object.
      Parameters:
        `ts` - - timestamp

    - #### getType

          java.lang.String getType()

      Return type of time packet. The values (e.g. NTP, TIME, ICMP, ...) correspond to the protocol used to obtain the timing information.
      Returns:
        packet type string identifier